DescriptorProtos.ServiceDescriptorProto.Builder
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.ServiceDescriptorProto.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>
      - - com.google.protobuf.DescriptorProtos.ServiceDescriptorProto.Builder

- All Implemented Interfaces:
    DescriptorProtos.ServiceDescriptorProtoOrBuilder, Message.Builder, MessageLite.Builder, MessageLiteOrBuilder, MessageOrBuilder, java.lang.Cloneable
  Enclosing class:
    DescriptorProtos.ServiceDescriptorProto

      public static final class DescriptorProtos.ServiceDescriptorProto.Builder
      extends GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>
      implements DescriptorProtos.ServiceDescriptorProtoOrBuilder

       Describes a service.

  Protobuf type `google.protobuf.ServiceDescriptorProto`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `addAllMethod(java.lang.Iterable<? extends DescriptorProtos.MethodDescriptorProto> values)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `addMethod(DescriptorProtos.MethodDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `addMethod(DescriptorProtos.MethodDescriptorProto value)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `addMethod(int index, DescriptorProtos.MethodDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `addMethod(int index, DescriptorProtos.MethodDescriptorProto value)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `addMethodBuilder()` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `addMethodBuilder(int index)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `addRepeatedField(Descriptors.FieldDescriptor field, java.lang.Object value)` Like `setRepeatedField`, but appends the value as a new element.
    `DescriptorProtos.ServiceDescriptorProto` | `build()` Constructs the message based on the state of the Builder.
    `DescriptorProtos.ServiceDescriptorProto` | `buildPartial()` Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `clear()` Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `clearField(Descriptors.FieldDescriptor field)` Clears the field.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `clearMethod()` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `clearName()` `optional string name = 1;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `clearOneof(Descriptors.OneofDescriptor oneof)` TODO(jieluo): Clear it when all subclasses have implemented this method.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `clearOptions()` `optional .google.protobuf.ServiceOptions options = 3;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `clone()` Clones the Builder.
    `DescriptorProtos.ServiceDescriptorProto` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Descriptors.Descriptor` | `getDescriptorForType()` Get the message's type's descriptor.
    `DescriptorProtos.MethodDescriptorProto` | `getMethod(int index)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.MethodDescriptorProto.Builder` | `getMethodBuilder(int index)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `java.util.List<DescriptorProtos.MethodDescriptorProto.Builder>` | `getMethodBuilderList()` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `int` | `getMethodCount()` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `java.util.List<DescriptorProtos.MethodDescriptorProto>` | `getMethodList()` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.MethodDescriptorProtoOrBuilder` | `getMethodOrBuilder(int index)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `java.util.List<? extends DescriptorProtos.MethodDescriptorProtoOrBuilder>` | `getMethodOrBuilderList()` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `java.lang.String` | `getName()` `optional string name = 1;`
    `ByteString` | `getNameBytes()` `optional string name = 1;`
    `DescriptorProtos.ServiceOptions` | `getOptions()` `optional .google.protobuf.ServiceOptions options = 3;`
    `DescriptorProtos.ServiceOptions.Builder` | `getOptionsBuilder()` `optional .google.protobuf.ServiceOptions options = 3;`
    `DescriptorProtos.ServiceOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.ServiceOptions options = 3;`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasOptions()` `optional .google.protobuf.ServiceOptions options = 3;`
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)` Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `mergeFrom(DescriptorProtos.ServiceDescriptorProto other)`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `mergeFrom(Message other)` Merge `other` into the message being built.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `mergeOptions(DescriptorProtos.ServiceOptions value)` `optional .google.protobuf.ServiceOptions options = 3;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `mergeUnknownFields(UnknownFieldSet unknownFields)` Merge some unknown fields into the `UnknownFieldSet` for this message.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `removeMethod(int index)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `setField(Descriptors.FieldDescriptor field, java.lang.Object value)` Sets a field to the given value.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `setMethod(int index, DescriptorProtos.MethodDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `setMethod(int index, DescriptorProtos.MethodDescriptorProto value)` `repeated .google.protobuf.MethodDescriptorProto method = 2;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `setName(java.lang.String value)` `optional string name = 1;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `setNameBytes(ByteString value)` `optional string name = 1;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `setOptions(DescriptorProtos.ServiceOptions.Builder builderForValue)` `optional .google.protobuf.ServiceOptions options = 3;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `setOptions(DescriptorProtos.ServiceOptions value)` `optional .google.protobuf.ServiceOptions options = 3;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `setRepeatedField(Descriptors.FieldDescriptor field, int index, java.lang.Object value)` Sets an element of a repeated field to the given value.
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `setUnknownFields(UnknownFieldSet unknownFields)` Set the `UnknownFieldSet` for this message.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3.Builder`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### clear

          public DescriptorProtos.ServiceDescriptorProto.Builder clear()

      Description copied from class: `GeneratedMessageV3.Builder`
      Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
      Specified by:
        `clear` in interface `Message.Builder`
      Specified by:
        `clear` in interface `MessageLite.Builder`
      Overrides:
        `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### getDescriptorForType

          public Descriptors.Descriptor getDescriptorForType()

      Description copied from interface: `Message.Builder`
      Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.
      Specified by:
        `getDescriptorForType` in interface `Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### getDefaultInstanceForType

          public DescriptorProtos.ServiceDescriptorProto getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`

    - #### build

          public DescriptorProtos.ServiceDescriptorProto build()

      Description copied from interface: `MessageLite.Builder`
      Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `build` in interface `Message.Builder`
      Specified by:
        `build` in interface `MessageLite.Builder`

    - #### buildPartial

          public DescriptorProtos.ServiceDescriptorProto buildPartial()

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `buildPartial` in interface `Message.Builder`
      Specified by:
        `buildPartial` in interface `MessageLite.Builder`

    - #### clone

          public DescriptorProtos.ServiceDescriptorProto.Builder clone()

      Description copied from interface: `MessageLite.Builder`
      Clones the Builder.
      Specified by:
        `clone` in interface `Message.Builder`
      Specified by:
        `clone` in interface `MessageLite.Builder`
      Overrides:
        `clone` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`
      See Also:
        `Object.clone()`

    - #### setField

          public DescriptorProtos.ServiceDescriptorProto.Builder setField(Descriptors.FieldDescriptor field,
                                                                 java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets a field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` would return.
      Specified by:
        `setField` in interface `Message.Builder`
      Overrides:
        `setField` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### clearField

          public DescriptorProtos.ServiceDescriptorProto.Builder clearField(Descriptors.FieldDescriptor field)

      Description copied from interface: `Message.Builder`
      Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.
      Specified by:
        `clearField` in interface `Message.Builder`
      Overrides:
        `clearField` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### clearOneof

          public DescriptorProtos.ServiceDescriptorProto.Builder clearOneof(Descriptors.OneofDescriptor oneof)

      Description copied from class: `AbstractMessage.Builder`
      TODO(jieluo): Clear it when all subclasses have implemented this method.
      Specified by:
        `clearOneof` in interface `Message.Builder`
      Overrides:
        `clearOneof` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### setRepeatedField

          public DescriptorProtos.ServiceDescriptorProto.Builder setRepeatedField(Descriptors.FieldDescriptor field,
                                                                         int index,
                                                                         java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets an element of a repeated field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` would return.
      Specified by:
        `setRepeatedField` in interface `Message.Builder`
      Overrides:
        `setRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### addRepeatedField

          public DescriptorProtos.ServiceDescriptorProto.Builder addRepeatedField(Descriptors.FieldDescriptor field,
                                                                         java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Like `setRepeatedField`, but appends the value as a new element.
      Specified by:
        `addRepeatedField` in interface `Message.Builder`
      Overrides:
        `addRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.ServiceDescriptorProto.Builder mergeFrom(Message other)

      Description copied from interface: `Message.Builder`
      Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`). Merging occurs as follows. For each field:
      * For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
      * For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
      * For repeated fields, the elements in `other` are concatenated with the elements in this message. * For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved. This is equivalent to the `Message::MergeFrom` method in C++.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.ServiceDescriptorProto.Builder mergeFrom(DescriptorProtos.ServiceDescriptorProto other)

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.ServiceDescriptorProto.Builder mergeFrom(CodedInputStream input,
                                                                  ExtensionRegistryLite extensionRegistry)
                                                                    throws java.io.IOException

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Specified by:
        `mergeFrom` in interface `MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasName

          public boolean hasName()

      `optional string name = 1;`
      Specified by:
        `hasName` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### getName

          public java.lang.String getName()

      `optional string name = 1;`
      Specified by:
        `getName` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### getNameBytes

          public ByteString getNameBytes()

      `optional string name = 1;`
      Specified by:
        `getNameBytes` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### setName

          public DescriptorProtos.ServiceDescriptorProto.Builder setName(java.lang.String value)

      `optional string name = 1;`

    - #### clearName

          public DescriptorProtos.ServiceDescriptorProto.Builder clearName()

      `optional string name = 1;`

    - #### setNameBytes

          public DescriptorProtos.ServiceDescriptorProto.Builder setNameBytes(ByteString value)

      `optional string name = 1;`

    - #### getMethodList

          public java.util.List<DescriptorProtos.MethodDescriptorProto> getMethodList()

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`
      Specified by:
        `getMethodList` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### getMethodCount

          public int getMethodCount()

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`
      Specified by:
        `getMethodCount` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### getMethod

          public DescriptorProtos.MethodDescriptorProto getMethod(int index)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`
      Specified by:
        `getMethod` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### setMethod

          public DescriptorProtos.ServiceDescriptorProto.Builder setMethod(int index,
                                                                  DescriptorProtos.MethodDescriptorProto value)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### setMethod

          public DescriptorProtos.ServiceDescriptorProto.Builder setMethod(int index,
                                                                  DescriptorProtos.MethodDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### addMethod

          public DescriptorProtos.ServiceDescriptorProto.Builder addMethod(DescriptorProtos.MethodDescriptorProto value)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### addMethod

          public DescriptorProtos.ServiceDescriptorProto.Builder addMethod(int index,
                                                                  DescriptorProtos.MethodDescriptorProto value)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### addMethod

          public DescriptorProtos.ServiceDescriptorProto.Builder addMethod(DescriptorProtos.MethodDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### addMethod

          public DescriptorProtos.ServiceDescriptorProto.Builder addMethod(int index,
                                                                  DescriptorProtos.MethodDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### addAllMethod

          public DescriptorProtos.ServiceDescriptorProto.Builder addAllMethod(java.lang.Iterable<? extends DescriptorProtos.MethodDescriptorProto> values)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### clearMethod

          public DescriptorProtos.ServiceDescriptorProto.Builder clearMethod()

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### removeMethod

          public DescriptorProtos.ServiceDescriptorProto.Builder removeMethod(int index)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### getMethodBuilder

          public DescriptorProtos.MethodDescriptorProto.Builder getMethodBuilder(int index)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### getMethodOrBuilder

          public DescriptorProtos.MethodDescriptorProtoOrBuilder getMethodOrBuilder(int index)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`
      Specified by:
        `getMethodOrBuilder` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### getMethodOrBuilderList

          public java.util.List<? extends DescriptorProtos.MethodDescriptorProtoOrBuilder> getMethodOrBuilderList()

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`
      Specified by:
        `getMethodOrBuilderList` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### addMethodBuilder

          public DescriptorProtos.MethodDescriptorProto.Builder addMethodBuilder()

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### addMethodBuilder

          public DescriptorProtos.MethodDescriptorProto.Builder addMethodBuilder(int index)

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### getMethodBuilderList

          public java.util.List<DescriptorProtos.MethodDescriptorProto.Builder> getMethodBuilderList()

      `repeated .google.protobuf.MethodDescriptorProto method = 2;`

    - #### hasOptions

          public boolean hasOptions()

      `optional .google.protobuf.ServiceOptions options = 3;`
      Specified by:
        `hasOptions` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### getOptions

          public DescriptorProtos.ServiceOptions getOptions()

      `optional .google.protobuf.ServiceOptions options = 3;`
      Specified by:
        `getOptions` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### setOptions

          public DescriptorProtos.ServiceDescriptorProto.Builder setOptions(DescriptorProtos.ServiceOptions value)

      `optional .google.protobuf.ServiceOptions options = 3;`

    - #### setOptions

          public DescriptorProtos.ServiceDescriptorProto.Builder setOptions(DescriptorProtos.ServiceOptions.Builder builderForValue)

      `optional .google.protobuf.ServiceOptions options = 3;`

    - #### mergeOptions

          public DescriptorProtos.ServiceDescriptorProto.Builder mergeOptions(DescriptorProtos.ServiceOptions value)

      `optional .google.protobuf.ServiceOptions options = 3;`

    - #### clearOptions

          public DescriptorProtos.ServiceDescriptorProto.Builder clearOptions()

      `optional .google.protobuf.ServiceOptions options = 3;`

    - #### getOptionsBuilder

          public DescriptorProtos.ServiceOptions.Builder getOptionsBuilder()

      `optional .google.protobuf.ServiceOptions options = 3;`

    - #### getOptionsOrBuilder

          public DescriptorProtos.ServiceOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.ServiceOptions options = 3;`
      Specified by:
        `getOptionsOrBuilder` in interface `DescriptorProtos.ServiceDescriptorProtoOrBuilder`

    - #### setUnknownFields

          public final DescriptorProtos.ServiceDescriptorProto.Builder setUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Set the `UnknownFieldSet` for this message.
      Specified by:
        `setUnknownFields` in interface `Message.Builder`
      Overrides:
        `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`

    - #### mergeUnknownFields

          public final DescriptorProtos.ServiceDescriptorProto.Builder mergeUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Merge some unknown fields into the `UnknownFieldSet` for this message.
      Specified by:
        `mergeUnknownFields` in interface `Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.ServiceDescriptorProto.Builder>`